AWSRES(1)

NAME
awsres - build resource files for Ada Web Server applications

SYNOPSIS
awsres [-h] [-r unit] [-q] file...

DESCRIPTION
The Ada Web Server is a library that allows you to embed a web server into your Ada application. It provides not only HTTP but also SOAP, WSDL and several other facilities. Thus you can write full-fledged web applications. awsres allows you to embed resources, such as pictures, into your final executable, so that your executable is completely self-contained and does not need to read other files at run time. awsres works by creating Ada source files that contain the data for your resources as arrays of bytes. You then compile these Ada source files into your executable. At run time, the AWS library automatically loads the resources from the executable whenever available. awsres creates one parent Ada package named, by default, `res', and one child package for each of the files given on the command line. The package `res' registers each resource when your application starts. To link `res' into your executable you simply add a `with res;' statement in one of your source files.

EXAMPLE
$ ls
image.png
$ awsres image.png
AWSRes - Resource Creator v1.0
creating image.png...
 -> registered
$ ls
res.adb  res.ads  res-image_png.ads  image.png

OPTIONS

-h  Display help message.

-r name
    Set the root unit name. Default is `res'.

-q  Quiet mode.

SEE ALSO
ada2wsdl(1), aws_password(1), webxref(1), wsdl2aws(1) The Ada Web Server User's Guide in package libaws1-doc.

AUTHOR
awsres was written by Dmitriy Anisimkov <anisimkov@yahoo.com> and Pascal Obry <p.obry@wanadoo.fr> as part of the Ada Web Server. This manual page was written by Ludovic Brenta <ludovic.brenta@insalien.org> for Debian GNU/Linux.